//: C05:ApplyGromit.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// test pro soubor ApplySequence.h.
#include <cstddef>
#include <iostream>
#include <vector>
#include "ApplySequence.h"
#include "Gromit.h"
#include "../purge.h"
using namespace std;

int main() {
  vector<Gromit*> psi;
  for(size_t i = 0; i < 5; i++)
    psi.push_back(new Gromit(i));
  apply(psi, &Gromit::mluv, 1);
  apply(psi, &Gromit::jez, 2.0f);
  apply(psi, &Gromit::spi, 'z', 3.0);
  apply(psi, &Gromit::sedni);
  purge(psi);
} ///:~
